package xyz.thastertyn.UserInterface.Content;

import java.util.ArrayList;

import com.googlecode.lanterna.TextColor.ANSI;
import com.googlecode.lanterna.gui2.Direction;
import com.googlecode.lanterna.gui2.GridLayout;
import com.googlecode.lanterna.gui2.Label;
import com.googlecode.lanterna.gui2.LinearLayout;
import com.googlecode.lanterna.gui2.Panel;

import xyz.thastertyn.UserInterface.UpdateListener;

public class Sdeleni extends JecnaContent {
	
	private xyz.thastertyn.Scrape.Sdeleni sdeleni = new xyz.thastertyn.Scrape.Sdeleni();
	
	public Sdeleni(UpdateListener listener)
	{
		super(listener);
		this.mainPanel = new Panel().setLayoutManager(new GridLayout(1)
			.setLeftMarginSize(1)
			.setRightMarginSize(1));
		this.borderLabel = new Label("Sdeleni R.");
		super.scraper = this.sdeleni;
	}

	@Override
	protected void setGUI()
	{
		mainPanel.removeAllComponents();

		ArrayList<String> sdeleniList = sdeleni.getSdeleni();

		for(String sdeleni : sdeleniList)
		{
			Panel row = new Panel().setLayoutManager(new LinearLayout(Direction.HORIZONTAL));
			
			String[] split = sdeleni.split("\u00a0");

			Label check = new Label(split[0]);
			Label text = new Label(split[1]);

			if(split[0].equals("✓"))
			{
				check.setForegroundColor(ANSI.GREEN);
			}else{
				check.setForegroundColor(ANSI.RED);
			}

			row.addComponent(check)
			.addComponent(text)
			.addTo(mainPanel);
		}
	}
}
